#include "rational.hpp"
#include <iostream>

int main() {
	Rational r1(2, 3);
	Rational r2(1, 2);
	Rational r3(5, -3);
	Rational r4(17);
	Rational r5(124, 357);
	Rational r6(5, 12);
	Rational r7(3, 4);
	Rational r8(23, -25);
	
	
	Rational a = (r1 * r2) * r3;
	r1 *= Rational(2);
	r2 -= r3;
	Rational b = r1*r5;
	b /= r4;
	r7 += r6;
	Rational c = r7*r8/r3 - r5 + r1;
	
	std::cout << a.toString() << std::endl;
	std::cout << b.toString() << std::endl;
	std::cout << c.toString() << std::endl;
	std::cout << r1.toString() << std::endl;
	std::cout << r2.toString() << std::endl;
	std::cout << r7.toString() << std::endl;

	std::cout << r7.toString() << " >= " << r8.toString() << " ? " << (r7>=r8) << std::endl;
	std::cout << r7.toString() << " == " << r8.toString() << " ? " << (r7==r8) << std::endl;
	std::cout << r7.toString() << " <= " << r8.toString() << " ? " << (r7<=r8) << std::endl;
	std::cout << r7.toString() << " != " << r8.toString() << " ? " << (r7!=r8) << std::endl;
	std::cout << r7.toString() << " < " << r8.toString() << " ? " << (r7<r8) << std::endl;
	std::cout << r7.toString() << " > " << r8.toString() << " ? " << (r7>r8) << std::endl;
	
	
	return 0;
}
